中危 Python 命令注入漏洞(CVE-2015-20107)

CVE编号

CVE-2015-20107

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-04-14
漏洞描述
Python是Python基金会的一套开源的、面向对象的程序设计语言。该语言具有可扩展、支持模块和包、支持多种平台等特点。

Python 3.10.4 版本及之前版本存在安全漏洞,该漏洞源于 mailcap 模块不会将转义字符添加到系统 mailcap 文件中发现的命令中。
解决建议
目前厂商暂未发布修复措施解决此安全问题,建议用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/python/cpython/issues/68966
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 python python * Up to
(including)
3.10.4
运行在以下环境
系统 debian_10 python2.7 * Up to
(including)
2.7.16-2+deb10u1
运行在以下环境
系统 debian_11 python2.7 * Up to
(including)
2.7.18-8
运行在以下环境
系统 debian_12 python2.7 * Up to
(including)
2.7.18-13.1
运行在以下环境
系统 debian_9 python2.7 * Up to
(including)
2.7.13-2+deb9u3
运行在以下环境
系统 debian_sid python2.7 * Up to
(including)
2.7.18-13.1
运行在以下环境
系统 fedora_35 python2.7 * Up to
(excluding)
3.7.13-2.fc35
运行在以下环境
系统 fedora_36 python2.7 * Up to
(excluding)
3.6.15-9.fc36
运行在以下环境
系统 fedora_37 python2.7 * Up to
(excluding)
3.6.15-9.fc37
运行在以下环境
系统 suse_12_SP5 python2.7 * Up to
(excluding)
3.6.15-24.1
运行在以下环境
系统 ubuntu_18.04 python2.7 * Up to
(excluding)
2022-04-14
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-77 在命令中使用的特殊元素转义处理不恰当(命令注入)
阿里云安全产品覆盖情况